Page MenuHomePhabricator

Partial blocks should not use the regular block notice on a user contributions page [small]
Closed, ResolvedPublic1 Estimated Story PointsMar 19 2020

Description

Problem:

Partial blocks currently display the same message as full blocks:

This does not allow to easily distinguish fully blocked users and partially blocked ones (who might have a very minor block from editing an article or two). This is harmful both for administrators (you think the user is already blocked but in reality they are not) and for concerned users (sort of social stigmatisation).

Proposed solution
  • Replace This user is currently blocked. by This user is currently partially blocked.
  • Change the color of the notice from red to yellow (like we do for info messages).
Notes

Local discussion in Ukrainian Wikipedia

Event Timeline

NickK created this task.Feb 26 2020, 9:50 PM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptFeb 26 2020, 9:50 PM
Niharika changed the subtype of this task from "Task" to "Feature Request".Feb 28 2020, 8:35 PM
Niharika added a subscriber: Niharika.

@NickK Where is the message that you are talking about currently displayed? If you can add a screenshot to illustrate the problem, that would be very helpful.

@Niharika I've partially blocked my test account, so you can take a look at the message in the red box on the contributions page. We're proposing to change its look to something like this.

AS added a subscriber: AS.Mar 1 2020, 12:08 PM
AS awarded a token.Mar 1 2020, 12:23 PM
Pppery awarded a token.Mar 9 2020, 3:48 AM
Niharika triaged this task as Medium priority.Mar 11 2020, 8:03 PM
Niharika moved this task from Untriaged to Cards ready to be discussed on the Anti-Harassment board.

@Piramidion Thanks for that! Very helpful. Hopefully we'll be able to fix this soon.

Niharika renamed this task from Partial blocks should display a message other than MediaWiki:Sp-contributions-blocked-notice to Partial blocks should not use the regular block notice on a user talk page .Mar 11 2020, 8:09 PM
Niharika updated the task description. (Show Details)
Pppery renamed this task from Partial blocks should not use the regular block notice on a user talk page to Partial blocks should not use the regular block notice on a user contributions page .Mar 12 2020, 12:14 AM
ARamirez_WMF renamed this task from Partial blocks should not use the regular block notice on a user contributions page to Partial blocks should not use the regular block notice on a user contributions page [small].Mar 12 2020, 6:25 PM
ARamirez_WMF set the point value for this task to 1.
ARamirez_WMF set Due Date to Mar 19 2020, 4:00 AM.Mar 13 2020, 6:19 PM
ARamirez_WMF changed the subtype of this task from "Feature Request" to "Deadline".
Tchanders moved this task from Ready to In Progress on the Anti-Harassment (The Letter Song) board.
  • Change the color of the notice from red to yellow (like we do for info messages).

This notice is already yellow - e.g. on itwiki, it looks like this:

The reason it displays red on enwiki is that the colour is overridden in Common.css:

/* Div based "warning" style fmbox messages. */
div.mw-warning-with-logexcerpt,
div.mw-lag-warn-high,
div.mw-cascadeprotectedwarning,
div#mw-protect-cascadeon,
div.titleblacklist-warning,
div.locked-warning {
	clear: both;
	margin: 0.2em 0;
	border: 1px solid #bb7070;
	background-color: #ffdbdb;
	padding: 0.25em 0.9em;
	box-sizing: border-box;
}

Change 580502 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/core@master] SpecialContributions: Use a custom warning when partially blocked

https://gerrit.wikimedia.org/r/580502

  • Change the color of the notice from red to yellow (like we do for info messages).

This notice is already yellow - e.g. on itwiki, it looks like this:

The reason it displays red on enwiki is that the colour is overridden in Common.css:

/* Div based "warning" style fmbox messages. */
div.mw-warning-with-logexcerpt,
div.mw-lag-warn-high,
div.mw-cascadeprotectedwarning,
div#mw-protect-cascadeon,
div.titleblacklist-warning,
div.locked-warning {
	clear: both;
	margin: 0.2em 0;
	border: 1px solid #bb7070;
	background-color: #ffdbdb;
	padding: 0.25em 0.9em;
	box-sizing: border-box;
}

Thanks @Tchanders.
@Piramidion Based on the above it is likely that the color is overridden on ukwiki too. Can you check on that and ask someone who has rights to edit Common.css on ukwiki to make the change?

Yes, indeed, there seems to be a similar local setting, but I'm not sure if it corresponds to the message in question (I'll explain it below), and even if it does, this doesn't resolve the issue with the possibility to distinguish between the full and the partial blocks. Say, we want the warning for the full blocks to remain red, while for the partial ones to both display a different text message and have a different color styling. Is there a way we could possibly achieve this locally? I assume there's none, since the reasons mentioned by NickK: the same message and the same styling are being used for both types of blocks.

Meta-wiki uses the same red warning (example), but I don't see anything relevant on their common.css. So does MediaWiki.org (example), and so does Wikimedia Commons (example), and so does Wikidata (example), and we want ukwiki to remain consistent with those wikis.

@Piramidion Thanks for the examples. The debug tools confirm that the above snippet is where the colour override is coming from in all of those examples (I can elaborate more on this if you're interested).

The CSS won't always be added directly in the wiki's Common.css, e.g. https://meta.wikimedia.org/wiki/MediaWiki:Common.css adds it via this import statement near the top:

@import "https://www.mediawiki.org/w/index.php?title=MediaWiki:Gadget-enwp-boxes.css&action=raw&ctype=text/css";

What we could do is add a class name that differs depending on whether the block is partial or sitewide, allowing the local overrides to set specific colours.

@Tchanders thanks for the clarification, and yes, I think that a different class for partial blocks would be the best solution for this issue (provided that it also allows for a different text message, i. e. "this user is currently partially blocked" instead of "this user is currently blocked")

Ata awarded a token.Mar 20 2020, 3:33 PM

Change 580502 merged by jenkins-bot:
[mediawiki/core@master] SpecialContributions: Use a custom warning when partially blocked

https://gerrit.wikimedia.org/r/580502

dom_walden added a subscriber: dom_walden.

Testing on https://en.wikipedia.beta.wmflabs.org MediaWiki 1.35.0-alpha (5e1e15e) 07:47, 24 March 2020.

Message in Special:Contributions for various blocks:

Username partial:
This user is currently partially blocked. The latest block log entry is provided below for reference:
with a containing div element with class="mw-contributions-blocked-notice-partial".

Username sitewide:
This account is currently blocked. The latest block log entry is provided below for reference:
with div class="mw-contributions-blocked-notice"

Perhaps it is inconsistent to use user and account, but this can be changed by translators.

IP partial:
This IP address is currently partially blocked. The latest block log entry is provided below for reference:
with div class="mw-contributions-blocked-notice-partial"

IP sitewide:
This IP address is currently blocked. The latest block log entry is provided below for reference:
with div class="mw-contributions-blocked-notice"

Thanks @dom_walden.

@Piramidion I will keep this task open to confirm the change has been made per your request. Thanks.

@dom_walden, @Niharika Everything looks fine now, thanks! You may close this task as solved.

For those, who want to make the same adjustment in their local wikis (if those wikis use a custom red warning for full blocks), this is the code we (namely, @NickK) added to our common.css after the change arrived to ukwiki:

div.mw-contributions-blocked-notice-partial > .mw-warning-with-logexcerpt {
    clear: both;
    margin: 0.2em 0;
    border: 1px solid #fc3;
    background: #fef6e7;
    padding: 0.25em 0.9em;
}
NickK added a comment.Mar 29 2020, 7:44 PM

Yes, I confirm that this was solved. Please also fix T246571 which also negatively affects the way we label partially blocked users.

NickK awarded a token.Mar 29 2020, 7:44 PM
dbarratt closed this task as Resolved.Mar 30 2020, 7:43 PM

Yes, I confirm that this was solved. Please also fix T246571 which also negatively affects the way we label partially blocked users.

Noted.